{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"Disk image build",
  "actions":[
    {
      "action":"create_disk",
      "args":{
        "key_variables":false,
        "key":"disk",
        "size":157286400,
        "disk_guid_variables":true,
        "disk_guid":"$DISK_GUID$"
      }
    },
    {
      "action":"add_partition_disk",
      "args":{
        "key_variables":true,
        "key":"disk",
        "type_guid_variables":true,
        "type_guid":"$ESP_PARTITION_TYPE_GUID$",
        "unique_guid_variables":true,
        "unique_guid":"$ESP_PARTITION_UNIQUE_GUID$",
        "name_variables":false,
        "name":"Vystem ESP Partition",
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/$EDK2_DIR$/esp.bin"
      }
    },
    {
      "action":"add_partition_disk",
      "args":{
        "key_variables":true,
        "key":"disk",
        "type_guid_variables":true,
        "type_guid":"$INITFS_PARTITION_TYPE_GUID$",
        "unique_guid_variables":true,
        "unique_guid":"$INITFS_UNIQUE_UUID$",
        "name_variables":false,
        "name":"InitFS",
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen/initfs.bin"
      }
    },
    {
      "action":"add_partition_disk",
      "args":{
        "key_variables":true,
        "key":"disk",
        "type_guid_variables":true,
        "type_guid":"$SIGNSYST_PARTITION_TYPE_GUID$",
        "unique_guid_variables":true,
        "unique_guid":"$SIGNSYST_UNIQUE_UUID$",
        "name_variables":false,
        "name":"SignSyst",
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen/signsyst.bin"
      }
    },
    {
      "action":"export_disk",
      "args":{
        "key_variables":false,
        "key":"disk",
        "export_path_variables":true,
        "export_path":"%rootcallerfolder%/$EDK2_DIR$/disk.bin"
      }
    }
  ]
}
